package models

type OpenIdSetRequest struct {
	Code   string `json:"code"`   //微信code
	OpenId string `json:"openId"` //邀请好友的openId
}

type OpenIdSetResponse struct {
	SessionKey string `json:"session_key,omitempty"`
	OpenId     string `json:"openid,omitempty"`
	Errcode    int    `json:"errcode,omitempty"`
	Errmsg     string `json:"errmsg,omitempty"`
}

type GetUserScoreRequest struct {
	OpenId string `json:"openId"`
}

type SubUserScoreRequest struct {
	OpenId string `json:"openId"`
	Score  int    `json:"score"`
	Type   int    `json:"type"`
	Des    string `json:"des"`
	Num    int    `json:"num"`
}

type GetUserListRequest struct {
	OpenIdOne string `json:"openIdOne"`
	PageSize  int    `json:"pageSize"`
	PageIndex int    `json:"pageIndex"`
}

type UpdateUserScoreRequest struct {
	AvatarUrl string `json:"avatarUrl"`
	NickName  string `json:"nickName"`
	OpenId    string `json:"openId"`
}
